it-swarm-eu.dev

Comment revenir à PHP 5.2?

Je viens d'installer une version 10.04 LTS sur mon serveur de développement, mais le système sur lequel j'ai besoin de fonctionner (Magento ecommerce) n'est pas compatible avec PHP 5.3, qui est livré avec la dernière version d'Ubuntu. Existe-t-il un moyen sûr et sûr d’installer PHP 5.2 ou sera-t-il plus facile d’utiliser une version antérieure d’Ubuntu?

13
silvo

Vous pouvez utiliser mon ppa , que j'ai créé à cet effet. Veuillez prendre note de l’épinglage nécessaire. En outre, aptitude ne reconnaîtra pas l'épinglage. Vous devez utiliser la méthode spécifique à aptitude si vous souhaitez l’utiliser.

Note - ceci est pour 10.04 (lucide) seulement

9
txwikinger
2
Chaulky

J'ai récemment essayé de résoudre le même problème moi-même. Au lieu d'apporter des modifications à la gestion des paquets, j'ai compilé moi-même PHP 5.2.17 à partir du code source, puis utilisé le programme Checkinstall pour installer le nouveau paquet .deb sur mon système.

J'ai écrit les étapes dans un article de blog, Compiler PHP 5.2 pour Ubuntu 10.1 , mais les étapes impliquaient essentiellement les éléments suivants:

  1. Téléchargez PHP source (http://php.net/downloads.php) vers/usr/local/src
  2. Configurer le source, en lisant INSTALLER doc et sortir de ./ configure --help

ma commande de configuration ressemblait à ceci:

./configure --prefix=/opt --with-apxs2=/usr/bin/apxs2 --with-curl=/usr/lib --with-pgsql --with-pear --with-mysql --with-Gd
  1. Compilez la source en utilisant 'make'
  2. Installez le paquet compilé en utilisant 'checkinstall'

Et c'était ça. J'avais déjà installé Apache2 avec Synaptic (vous devez utiliser le paquet Apache2-mpm-prefork pour une utilisation avec PHP). De plus, si des paquetages PHP5 sont déjà installés, vous devrez les désinstaller avant d'essayer d'installer votre propre paquet compilé.

Compiler le paquet vous-même ne prend vraiment pas beaucoup de temps et constitue une bonne expérience si vous ne l'avez pas déjà fait sur votre machine Ubuntu.

2
user10207

Il est possible d'utiliser des paquets karmiques et de les épingler avec aptitude. Cela peut être fait en utilisant ces commandes:

# remove all php packge
Sudo aptitude purge `dpkg -l | grep php| awk '{print $2}' |tr "\n" " "`
# use karmiс for php pakage
# pin-params:  a (archive), c (components), v (version), o (Origin) and l (label).
echo -e "Package: php5\nPin: release a=karmic\nPin-Priority: 991\n"  | Sudo tee   /etc/apt/preferences.d/php > /dev/null
apt-cache search php5-|grep php5-|awk '{print "Package:", $1,"\nPin: release   a=karmic\nPin-Priority: 991\n"}'|Sudo tee -a /etc/apt/preferences.d/php > /dev/null
apt-cache search -n libapache2-mod-php5 |awk '{print "Package:", $1,"\nPin: release a=karmic\nPin-Priority: 991\n"}'| Sudo tee -a /etc/apt/preferences.d/php > /dev/null
echo -e "Package: php-pear\nPin: release a=karmic\nPin-Priority: 991\n"  | Sudo tee -a     /etc/apt/preferences.d/php > /dev/null
# add karmic to source list
grep 'main restricted' /etc/apt/sources.list|grep -v "#"| sed s/lucid/karmic/g | Sudo tee             /etc/apt/sources.list.d/karmic.list > /dev/null
# update package database (use apt-get if aptitude crash)
Sudo apt-get update
# install php
Sudo aptitude install -t karmic php5-cli php5-cgi
# or (and) Sudo apt-get install -t karmic  libapache2-mod-php5
Sudo aptitude hold `dpkg -l | grep php5| awk '{print $2}' |tr "\n" " "`
#done

Je l'ai obtenu de texte du lien

2
kone4040